MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025005Open CASCADE[OCCT] OCCT:Foundation Classespublic2014-06-11 15:362014-11-11 12:59
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025005: Global function HashCodes() is not exported on Windows
DescriptionDeclaration of global function HashCodes() in Standard_CString.hxx lacks __Standard_API declarator, hence is not exported on Windows / MSVC. This prevents use of this function and several functions HashCode() defined in the same header as inline, outside of TKernel.dll.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0032220)
git (administrator)
2014-09-26 13:11

Branch CR25005 has been created by abv.

SHA-1: 26e3e03cecb0f516235ec80011c7373d418df347


Detailed log of new commits:

Author: abv
Date: Fri Sep 26 13:11:01 2014 +0400

    Added info on VTK availability in dversion command; VTK tests are corrected to report SKIPPED status if VIS is not available

Author: abv
Date: Fri Sep 26 12:48:04 2014 +0400

    0025005: Global function HashCodes() is not exported on Windows
    
    HashCodes() is exported

Author: abv
Date: Fri Sep 26 12:45:41 2014 +0400

    0025000: Missing implementation of method NCollection_SparseArrayBase::changeValue()
    
    Method changeValue() removed from NCollection_SparseArrayBase, ChangeValue() of NCollection_SparseArray is used instead
(0032222)
abv (manager)
2014-09-26 13:14

Fix (trivial) pushed to branch CR25005, containing also fix for 0025000 and correction for VIS tests when VTK is not available; please test
(0032253)
git (administrator)
2014-09-26 16:19

Branch CR25005 has been updated forcibly by mkv.

SHA-1: d4b9f373c5003c9f3ea51afa64521602659a201d
(0032311)
mkv (tester)
2014-09-29 16:20

Dear BugMaster,
Branch CR25005 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested on Release mode.
SHA-1: d4b9f373c5003c9f3ea51afa64521602659a201d

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 3 (3 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 356608704 / 356486080
Total CPU difference: 49153.47000000013 / 47634.400000000125
products component :
Total MEMORY difference: 110671028 / 110618772
Total CPU difference: 18984.71999999997 / 17577.149999999998

Testing on Windows:
occt component :
Total MEMORY difference: 246512632 / 245906200
Total CPU difference: 33253.515625 / 36622.234375
products component :
Total MEMORY difference: 66840148 / 66766908
Total CPU difference: 13205.4375 / 12434.390625

There are no differences in images found by testdiff.
(0032318)
abv (manager)
2014-09-29 16:45

Already in master
(0032409)
git (administrator)
2014-09-30 11:35

Branch CR25005 has been deleted by inv.

SHA-1: d4b9f373c5003c9f3ea51afa64521602659a201d

- Related Changesets
occt: master 868dbdba
Timestamp: 2014-09-26 08:48:04
Author: abv
Committer: bugmaster
Details ] Diff ]
0025005: Global function HashCodes() is not exported on Windows

HashCodes() is exported
mod - src/Standard/Standard_CString.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-06-11 15:36 abv New Issue
2014-06-11 15:36 abv Assigned To => abv
2014-09-26 13:11 git Note Added: 0032220
2014-09-26 13:14 abv Note Added: 0032222
2014-09-26 13:14 abv Assigned To abv => bugmaster
2014-09-26 13:14 abv Status new => resolved
2014-09-26 13:14 abv Status resolved => reviewed
2014-09-26 15:15 bugmaster Assigned To bugmaster => mkv
2014-09-26 16:19 git Note Added: 0032253
2014-09-29 15:31 bugmaster Changeset attached => occt master 868dbdba
2014-09-29 15:31 bugmaster Assigned To mkv => bugmaster
2014-09-29 15:31 bugmaster Status reviewed => verified
2014-09-29 15:31 bugmaster Resolution open => fixed
2014-09-29 16:20 mkv Note Added: 0032311
2014-09-29 16:20 mkv Status verified => assigned
2014-09-29 16:20 mkv Status assigned => resolved
2014-09-29 16:21 mkv Status resolved => reviewed
2014-09-29 16:21 mkv Status reviewed => tested
2014-09-29 16:21 mkv Test case number => Not needed
2014-09-29 16:45 abv Note Added: 0032318
2014-09-29 16:45 abv Status tested => verified
2014-09-30 11:35 git Note Added: 0032409
2014-11-11 12:44 aiv Fixed in Version => 6.8.0
2014-11-11 12:59 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker